> For the complete documentation index, see [llms.txt](https://docs.fulfillmenttools.com/documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.fulfillmenttools.com/documentation/apis/api-reference/returns-configuration.md).

# Returns Configuration

Endpoints to create, update, and read returns configuration.

## Get return configuration

> Returns the current return configuration for the tenant.

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints to create, update, and read returns configuration.","name":"Returns configuration"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"LocalizedReturnConfiguration":{"properties":{"active":{"default":true,"deprecated":true,"description":"Enable or disable legacy returns. Use returnTypeConfiguration instead","type":"boolean"},"allowTriggerRefund":{"default":false,"description":"If true, a refund can be triggered. If false, the endpoints to trigger a refund are disabled.","type":"boolean"},"availableDecisionReasons":{"items":{"$ref":"#/components/schemas/LocalizedAvailableDecisionReason"},"type":"array"},"availableItemConditions":{"items":{"$ref":"#/components/schemas/LocalizedAvailableItemCondition"},"type":"array"},"availableReturnReasons":{"items":{"$ref":"#/components/schemas/LocalizedAvailableReturnReason"},"type":"array"},"created":{"description":"The date this entity was created at the platform. This value is generated by the service.","format":"date-time","type":"string"},"lastModified":{"description":"The date this entity was modified last. This value is generated by the service.","format":"date-time","type":"string"},"returnTypeConfiguration":{"$ref":"#/components/schemas/ReturnTypeConfiguration"},"version":{"description":"The version of the document to be used in optimistic locking mechanisms.","type":"integer"}},"required":["active","version"],"title":"LocalizedReturnConfiguration","type":"object","description":"LocalizedReturnConfiguration"},"LocalizedAvailableDecisionReason":{"properties":{"reasonLocalized":{"$ref":"#/components/schemas/LocaleString"},"context":{"items":{"$ref":"#/components/schemas/DecisionReasonContext"},"maxItems":10,"minItems":1,"type":"array"},"reason":{"description":"Translated value from  reasonLocalized","type":"string"}},"required":["reason","reasonLocalized"],"title":"LocalizedAvailableDecisionReason","type":"object","description":"LocalizedAvailableDecisionReason"},"LocaleString":{"additionalProperties":{"type":"string"},"description":"Provides localized values. The key is the locale, the value is the translation. https://docs.fulfillmenttools.com/documentation/getting-started/authentication-and-authorization/localization","title":"LocaleString","type":"object"},"DecisionReasonContext":{"properties":{"type":{"enum":["ITEM_RETURN_LINE_ITEM_STATUS"],"type":"string"},"values":{"items":{"enum":["ACCEPTED","REJECTED","WAITING_FOR_INPUT"],"type":"string"},"maxItems":10,"minItems":1,"type":"array"}},"title":"DecisionReasonContext","type":"object","description":"DecisionReasonContext"},"LocalizedAvailableItemCondition":{"properties":{"conditionLocalized":{"$ref":"#/components/schemas/LocaleString"},"condition":{"description":"translated conditionsLocalized","type":"string"}},"required":["condition","conditionLocalized"],"title":"LocalizedAvailableItemCondition","type":"object","description":"LocalizedAvailableItemCondition"},"LocalizedAvailableReturnReason":{"properties":{"reasonLocalized":{"$ref":"#/components/schemas/LocaleString"},"identifier":{"description":"Small identifier to be displayed and printed. Allowed values are 1-99 and A-Z. Needs to be unique respecting all other reasons. If not set, an ascending will be chosen automatically","type":"string"},"reason":{"description":"translated reasonLocalized","type":"string"}},"required":["identifier","reason","reasonLocalized"],"title":"LocalizedAvailableReturnReason","type":"object","description":"LocalizedAvailableReturnReason"},"ReturnTypeConfiguration":{"properties":{"type":{"enum":["RETURN","ITEM_RETURN"],"type":"string"}},"required":["type"],"title":"ReturnTypeConfiguration","type":"object","description":"ReturnTypeConfiguration"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/configurations/return":{"get":{"deprecated":false,"description":"Returns the current return configuration for the tenant.","operationId":"getReturnConfiguration","parameters":[],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/LocalizedReturnConfiguration"}}},"description":"Return Configuration"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this endpoint"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"The requested entity was not found"}},"summary":"Get return configuration","tags":["Returns configuration"]}}}}
```

## Upsert return configuration

> Updates the return configuration for the tenant. If no configuration exists, it will be created.

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints to create, update, and read returns configuration.","name":"Returns configuration"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"ReturnConfiguration":{"properties":{"active":{"default":true,"deprecated":true,"description":"Enable or disable legacy returns. Use returnTypeConfiguration instead","type":"boolean"},"allowTriggerRefund":{"default":false,"description":"If true, a refund can be triggered. If false, the endpoints to trigger a refund are disabled.","type":"boolean"},"availableDecisionReasons":{"items":{"$ref":"#/components/schemas/AvailableDecisionReasons"},"maxItems":100,"type":"array"},"availableItemConditions":{"items":{"$ref":"#/components/schemas/AvailableItemCondition"},"type":"array"},"availableReturnReasons":{"items":{"$ref":"#/components/schemas/AvailableReturnReason"},"type":"array"},"created":{"description":"The date this entity was created at the platform. This value is generated by the service.","format":"date-time","type":"string"},"lastModified":{"description":"The date this entity was modified last. This value is generated by the service.","format":"date-time","type":"string"},"returnTypeConfiguration":{"$ref":"#/components/schemas/ReturnTypeConfiguration"},"version":{"description":"The version of the document to be used in optimistic locking mechanisms.","type":"integer"}},"required":["active","version"],"title":"ReturnConfiguration","type":"object","description":"ReturnConfiguration"},"AvailableDecisionReasons":{"properties":{"reasonLocalized":{"$ref":"#/components/schemas/LocaleString"},"context":{"description":"Context in which this reason is available","items":{"$ref":"#/components/schemas/DecisionReasonContext"},"maxItems":10,"minItems":1,"type":"array"},"reason":{"description":"Translated value from  reasonLocalized","type":"string"}},"required":["reasonLocalized"],"title":"AvailableDecisionReasons","type":"object","description":"AvailableDecisionReasons"},"LocaleString":{"additionalProperties":{"type":"string"},"description":"Provides localized values. The key is the locale, the value is the translation. https://docs.fulfillmenttools.com/documentation/getting-started/authentication-and-authorization/localization","title":"LocaleString","type":"object"},"DecisionReasonContext":{"properties":{"type":{"enum":["ITEM_RETURN_LINE_ITEM_STATUS"],"type":"string"},"values":{"items":{"enum":["ACCEPTED","REJECTED","WAITING_FOR_INPUT"],"type":"string"},"maxItems":10,"minItems":1,"type":"array"}},"title":"DecisionReasonContext","type":"object","description":"DecisionReasonContext"},"AvailableItemCondition":{"properties":{"conditionLocalized":{"$ref":"#/components/schemas/LocaleString"}},"required":["conditionLocalized"],"title":"AvailableItemCondition","type":"object","description":"AvailableItemCondition"},"AvailableReturnReason":{"properties":{"reasonLocalized":{"$ref":"#/components/schemas/LocaleString"},"identifier":{"description":"Small identifier to be displayed and printed. Allowed values are 1-99 and A-Z. Needs to be unique respecting all other reasons. If not set, an ascending will be chosen automatically","type":"string"}},"required":["reasonLocalized"],"title":"AvailableReturnReason","type":"object","description":"AvailableReturnReason"},"ReturnTypeConfiguration":{"properties":{"type":{"enum":["RETURN","ITEM_RETURN"],"type":"string"}},"required":["type"],"title":"ReturnTypeConfiguration","type":"object","description":"ReturnTypeConfiguration"},"LocalizedReturnConfiguration":{"properties":{"active":{"default":true,"deprecated":true,"description":"Enable or disable legacy returns. Use returnTypeConfiguration instead","type":"boolean"},"allowTriggerRefund":{"default":false,"description":"If true, a refund can be triggered. If false, the endpoints to trigger a refund are disabled.","type":"boolean"},"availableDecisionReasons":{"items":{"$ref":"#/components/schemas/LocalizedAvailableDecisionReason"},"type":"array"},"availableItemConditions":{"items":{"$ref":"#/components/schemas/LocalizedAvailableItemCondition"},"type":"array"},"availableReturnReasons":{"items":{"$ref":"#/components/schemas/LocalizedAvailableReturnReason"},"type":"array"},"created":{"description":"The date this entity was created at the platform. This value is generated by the service.","format":"date-time","type":"string"},"lastModified":{"description":"The date this entity was modified last. This value is generated by the service.","format":"date-time","type":"string"},"returnTypeConfiguration":{"$ref":"#/components/schemas/ReturnTypeConfiguration"},"version":{"description":"The version of the document to be used in optimistic locking mechanisms.","type":"integer"}},"required":["active","version"],"title":"LocalizedReturnConfiguration","type":"object","description":"LocalizedReturnConfiguration"},"LocalizedAvailableDecisionReason":{"properties":{"reasonLocalized":{"$ref":"#/components/schemas/LocaleString"},"context":{"items":{"$ref":"#/components/schemas/DecisionReasonContext"},"maxItems":10,"minItems":1,"type":"array"},"reason":{"description":"Translated value from  reasonLocalized","type":"string"}},"required":["reason","reasonLocalized"],"title":"LocalizedAvailableDecisionReason","type":"object","description":"LocalizedAvailableDecisionReason"},"LocalizedAvailableItemCondition":{"properties":{"conditionLocalized":{"$ref":"#/components/schemas/LocaleString"},"condition":{"description":"translated conditionsLocalized","type":"string"}},"required":["condition","conditionLocalized"],"title":"LocalizedAvailableItemCondition","type":"object","description":"LocalizedAvailableItemCondition"},"LocalizedAvailableReturnReason":{"properties":{"reasonLocalized":{"$ref":"#/components/schemas/LocaleString"},"identifier":{"description":"Small identifier to be displayed and printed. Allowed values are 1-99 and A-Z. Needs to be unique respecting all other reasons. If not set, an ascending will be chosen automatically","type":"string"},"reason":{"description":"translated reasonLocalized","type":"string"}},"required":["identifier","reason","reasonLocalized"],"title":"LocalizedAvailableReturnReason","type":"object","description":"LocalizedAvailableReturnReason"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/configurations/return":{"put":{"deprecated":false,"description":"Updates the return configuration for the tenant. If no configuration exists, it will be created.","operationId":"upsertReturnConfiguration","parameters":[],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReturnConfiguration"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/LocalizedReturnConfiguration"}}},"description":"ItemReturnJob containing the newly created item return"},"201":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/LocalizedReturnConfiguration"}}},"description":"ItemReturnJob containing the newly created item return"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Invalid input. See response for details."},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this endpoint"},"409":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"A version conflict occurred."}},"summary":"Upsert return configuration","tags":["Returns configuration"]}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.fulfillmenttools.com/documentation/apis/api-reference/returns-configuration.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
